Projects - Requests API
List all requests of a project
Section titled “List all requests of a project”List all requests of a project with a specific ID.
GET /projects/:id/requestsResponse
Section titled “Response”Status: 200 OK[ { "service_instance": { "name": "Windows for Sales Tracking Production", "id": 126 }, "completed_at": null, "created_at": "2016-03-14T02:56:11-06:00", "category": "rfc", "sourceID": null, "updated_at": "2016-03-14T03:14:11-06:00", "grouped_into": null, "member": { "name": "Barney Turban", "id": 58 }, "subject": "Add memory to Sales Tracking production server cluster", "id": 70470, "impact": null, "team": { "name": "Windows Servers", "id": 14 }, "status": "assigned", "next_target_at": "best_effort" }, "..."]The response contains these fields by default.
Predefined Filters
Section titled “Predefined Filters”The following predefined filters are available:
/projects/:id/requests/completed: List all completed requests of a project with a specific ID/projects/:id/requests/open: List all open requests of a project with a specific ID
Add a request to a project
Section titled “Add a request to a project”Add a link between a project with a specific ID and a request with a specific ID.
POST /projects/:id/requests/:request_idResponse
Section titled “Response”Status: 200 OK{}Remove a request from a project
Section titled “Remove a request from a project”Remove the link between a project with a specific ID and a request with a specific ID.
DELETE /projects/:id/requests/:request_idResponse
Section titled “Response”Status: 204 No ContentRemove all requests from a project
Section titled “Remove all requests from a project”Remove all links between a project with a specific ID and its requests.
DELETE /projects/:id/requestsResponse
Section titled “Response”Status: 204 No Content